## ros-kinetic-rostest 1.12.17

=== debian/changelog ===
ros-kinetic-rostest (1.12.17-1xenial) xenial; urgency=high

  * Fix paramtest for empty values of a parameter (#2054 <https://github.com/ros/ros_comm/issues/2054>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Levko Ivanchuk, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rostest (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rostest (1.12.15-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rostest (1.12.14-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rostest (1.12.13-1xenial) xenial; urgency=high

  * add_rostest_gmock function (#1303 <https://github.com/ros/ros_comm/issues/1303>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rostest (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.8-1xenial) xenial; urgency=high

  * check clock publication neatly in publishtest (#973 <https://github.com/ros/ros_comm/issues/973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rostest (1.12.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.4-1xenial) xenial; urgency=high

  * fix test type handling (#722 <https://github.com/ros/ros_comm/issues/722>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.3-1xenial) xenial; urgency=high

  * add test node if topic message is published at least once (#863 <https://github.com/ros/ros_comm/issues/863>)
  * add_rostest_gtest does now add the created gtest-target as a dependeny to the created rostest (#830 <https://github.com/ros/ros_comm/pull/830>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.1-1xenial) xenial; urgency=high

  * fix passing multiple args to add_rostest (fix #790 <https://github.com/ros/ros_comm/issues/790>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rostest (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rostest (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rostest (1.11.17-1xenial) xenial; urgency=high

  * rostest.rosrun now generates coverage reports (#558 <https://github.com/ros/ros_comm/issues/558>)
  * rostest can load tests from a dotted name (#722 <https://github.com/ros/ros_comm/issues/722>)
  * include GTEST_INCLUDE_DIRS so that the proper gtest headers are found (#727 <https://github.com/ros/ros_comm/issues/727>)
  * rostest: move replacement of slashes after ARGS handling (#721 <https://github.com/ros/ros_comm/pull/721>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rostest (1.11.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rostest (1.11.15-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rostest (1.11.14-1xenial) xenial; urgency=high

  * add --local option to rostest (#137 <https://github.com/ros/ros_comm/issues/137>)
  * fix location of rosunit result files generated by rostests (#668 <https://github.com/ros/ros_comm/pull/668>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rostest (1.11.13-1xenial) xenial; urgency=high

  * fix location of rostest result files (#611 <https://github.com/ros/ros_comm/issues/611>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-rostest (1.11.12-1xenial) xenial; urgency=high

  * fix location of rostest result files (#82 <https://github.com/ros/ros/pull/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rostest (1.11.11-1xenial) xenial; urgency=high

  * add DEPENDENCIES option to CMake function add_rostest (#546 <https://github.com/ros/ros_comm/issues/546>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rostest (1.11.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-rostest (1.11.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rostest (1.11.8-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-rostest (1.11.7-1xenial) xenial; urgency=high


