=== debian/control ===
Source: ros-kinetic-rostest
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin (>= 0.7.9), ros-kinetic-rosunit
Homepage: http://ros.org/wiki/rostest
Standards-Version: 3.9.2

Package: ros-kinetic-rostest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-rosgraph, ros-kinetic-roslaunch, ros-kinetic-rosmaster, ros-kinetic-rospy, ros-kinetic-rosunit
Description: Integration test suite based on roslaunch that is compatible with xUnit frameworks.
